Jump to content
TNG Community
Juergen Amling

Upgrade v. 12.3 to 13 - Strict Standards error

Recommended Posts

Juergen Amling

Just want to let you know I solved this problem, which was obviously a part of mod settings. I had uninstalled the mods but didn't delete them, thought that wasn't necessary. But looks like deleting the mods after uninstalling did that. I'm good. Thanks for looking at my problem!

 

After a smooth upgrade from version 12.3 to 13 (using template 12) on my website https://juergenamling.com/de I received the following error right above the menu line:

Strict Standards: date(): We selected 'America/New_York' for 'EDT/-4.0/DST' instead in /homepages/22/d155018853/htdocs/de/genlib.php on line 653


When looking in the Setup/General Settings/Miscellaneous/ Server Time offset (hours) I see the following messages:


Strict Standards: date(): We selected 'America/New_York' for 'EDT/-4.0/DST' instead in /homepages/22/d155018853/htdocs/de/admin_genconfig.php on line 1211
Server time is Tue 11:06 am
Strict Standards: date(): We selected 'America/New_York' for 'EDT/-4.0/DST' instead in /homepages/22/d155018853/htdocs/de/admin_genconfig.php on line 1211

Strict Standards: date(): We selected 'America/New_York' for 'EDT/-4.0/DST' instead in /homepages/22/d155018853/htdocs/de/admin_genconfig.php on line 1211
and site time is Tue 10:06 am

And there are a lot of other error messages, basically all concerning the time setting to New York Time (I live in Central Time Zone).

On my website https://juergenamling.com/cemeteries are no errors after the upgrade. 

My host is 1and1.com (IONOS) and I'm using PHP Version 7.4. I tried changing to V. 7.3 and 7.2 but still the same error messges.

All Mods are uninstalled. And yes the database structure was updated. I'm using template 12, but same error in other templates (tried 13, 4)
Anybody else having this problem?  Or has a solution?

Edited by Juergen Amling
Solved my problem!!!

Share this post


Link to post
Share on other sites
Ken Roy

I think you need a change in your php.ini overrides, so you might want to contact your hosting service. 

Share this post


Link to post
Share on other sites
Juergen Amling

Hi Ken, I think I’ll try that rout you suggested although the other site at

https://juergenamling.com/cemeteries 

works fine after the update. I suspect that one of the mods (which I had uninstalled before the update) had left a change in one of the files that was not overwritten by the update. Thanks for your help. 
Juergen Amling 

Share this post


Link to post
Share on other sites
theKiwi
On 9/23/2020 at 1:21 PM, Juergen Amling said:

Just want to let you know I solved this problem, which was obviously a part of mod settings. I had uninstalled the mods but didn't delete them, thought that wasn't necessary. But looks like deleting the mods after uninstalling did that. I'm good. Thanks for looking at my problem!

 

After a smooth upgrade from version 12.3 to 13 (using template 12) on my website https://juergenamling.com/de I received the following error right above the menu line:

Strict Standards: date(): We selected 'America/New_York' for 'EDT/-4.0/DST' instead in /homepages/22/d155018853/htdocs/de/genlib.php on line 653


When looking in the Setup/General Settings/Miscellaneous/ Server Time offset (hours) I see the following messages:


Strict Standards: date(): We selected 'America/New_York' for 'EDT/-4.0/DST' instead in /homepages/22/d155018853/htdocs/de/admin_genconfig.php on line 1211
Server time is Tue 11:06 am
Strict Standards: date(): We selected 'America/New_York' for 'EDT/-4.0/DST' instead in /homepages/22/d155018853/htdocs/de/admin_genconfig.php on line 1211

Strict Standards: date(): We selected 'America/New_York' for 'EDT/-4.0/DST' instead in /homepages/22/d155018853/htdocs/de/admin_genconfig.php on line 1211
and site time is Tue 10:06 am

And there are a lot of other error messages, basically all concerning the time setting to New York Time (I live in Central Time Zone).

On my website https://juergenamling.com/cemeteries are no errors after the upgrade. 

My host is 1and1.com (IONOS) and I'm using PHP Version 7.4. I tried changing to V. 7.3 and 7.2 but still the same error messges.

All Mods are uninstalled. And yes the database structure was updated. I'm using template 12, but same error in other templates (tried 13, 4)
Anybody else having this problem?  Or has a solution?

This problem is almost always to do with an update to the PHP version your host is using. It seems very unlikely that deleting the Mods that were already uninstalled fixed this. It is perhaps more likely that your host updated the PHP, you struck the problem, someone else struck the problem and complained to them, and the host fixed it at their end right around the time you deleted the unused Mods.

Roger

Share this post


Link to post
Share on other sites
Ken Roy
1 hour ago, theKiwi said:

Just want to let you know I solved this problem, which was obviously a part of mod settings. I had uninstalled the mods but didn't delete them, thought that wasn't necessary. But looks like deleting the mods after uninstalling did that. I'm good. Thanks for looking at my problem!

You should not need to Delete any mods.  That way they are there for you to re-install or figure out which ones need new versions after you upgrade.

Roger most likely indicated why it got resolved.  TNG v13 was tested on PHP 7.4.9.  The Strict Standards: date():  also tends to indicate that you need to you or your hosting service needs to define the Time Zone in your php.ini for your account

Share this post


Link to post
Share on other sites
Juergen Amling

Hi Ken, I would agree with the idea for my host to define my time zone, if deleting the mods wouldn’t have solved the problem. After uninstalling and deleting the mods before the upgrade and then after installing some of the mods after the upgrade everything is fine. My host server is on Eastern (NY) time and in the miscellaneous setup of TNG I have -1 hour offset from server and so it shows the correct Central Time for me. 
And never before I had these errors, using TNG since at least Version 6. I really appreciate TNG so much. I have the perfect mixture between Legacy V 9 on my home computer and uploading GEDCOMS to TNG. And should one day MyHeritage discontinue Legacy I will probably totally change to TNG
And I really appreciate all the help that Darrin and all you others provide. Thanks so much. 
Juergen Amling

Share this post


Link to post
Share on other sites
Ken Roy

Deleting the mod cannot have solved this problem.  Deleting the mods only removes the mod cfg files from the mods folder.

Errors you reported are not related to TNG but to your hosting service use of PHP

Share this post


Link to post
Share on other sites

Create an account or sign in to comment

You need to be a member in order to leave a comment

Create an account

Sign up for a new account in our community. It's easy!

Register a new account

Sign in

Already have an account? Sign in here.

Sign In Now

×